MsWks4TextInternal::Token Struct Reference

Internal: class to store field definition: TOKN entry. More...

## Public Member Functions
| Token ()
| constructor

## Public Attributes
MWAWField::Type | m_type
| the type
int | m_textLength
| the length of the text corresponding to the token
int | m_unknown
| unknown field
std::string | m_error
| a string used to store the parsing errors

## Friends
std::ostream & | operator<< (std::ostream &o, Token const &tok)
| operator <<

## Detailed Description

Internal: class to store field definition: TOKN entry.

## Constructor & Destructor Documentation

## ◆ Token()

MsWks4TextInternal::Token::Token | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Token const & | tok )
| friend

operator <<

## Member Data Documentation

## ◆ m_error

std::string MsWks4TextInternal::Token::m_error

a string used to store the parsing errors

Referenced by operator<<, and Token().

## ◆ m_textLength

int MsWks4TextInternal::Token::m_textLength

the length of the text corresponding to the token

Referenced by operator<<, Token(), and MsWks4Text::toknDataParser().

## ◆ m_type

MWAWField::Type MsWks4TextInternal::Token::m_type

the type

Referenced by operator<<, Token(), and MsWks4Text::toknDataParser().

## ◆ m_unknown

int MsWks4TextInternal::Token::m_unknown

unknown field

Referenced by operator<<, Token(), and MsWks4Text::toknDataParser().

The documentation for this struct was generated from the following file:

- MsWks4Text.cxx